{ config, pkgs, lib, ... }:
{
  fileSystems = {
    "/export/riker-backup" = {
      device = "/tank/backup/riker";
      options = [ "bind" ];
    };
    "/export/defiant-backup" = {
      device = "/tank/backup/defiant";
      options = [ "bind" ];
    };
  };

  # Enable nfs4 only
  services.nfs.server = {
    enable = true;
    exports = ''
      /export                   192.168.10.4(rw,fsid=0,no_subtree_check) 192.168.10.5(rw,fsid=0,no_subtree_check) 192.168.10.2(rw,fsid=0,no_subtree_check) 192.168.10.175(rw,fsid=0,no_subtree_check)
      /export/riker-backup      192.168.10.2(rw,nohide,no_subtree_check,no_root_squash)
      /export/doyle-backup      192.168.10.2(rw,nohide,no_subtree_check,no_root_squash)
      /export/defiant-backup    192.168.10.175(rw,nohide,no_subtree_check,async,no_root_squash)
    '';
  };

  networking.firewall.allowedTCPPorts = [ 111 2049 20048 ];
  networking.firewall.allowedUDPPorts = [ 111 20048];
}
